I downloaded qt and installed it to a directory. I updated my environment variables to what was listed in the instructions (I did restart the computer although I know logging off would have been sufficient). I checked the qt 3.1 rpm that came with the install and changed the links in the system to point to the qt 3.3 files. I restarted the system and it worked fine. However when I tried to install KDE 3.4 beta I get the following message:

configure: error: Qt (>= Qt 3.3) (library qt-mt) not found. Please check your installation

The links I upgraded were only for the bin files in qt 3.3, I didn't install or change anything else. What am I missing? Why wouldn't this info be covered in the install instructions?